Last Comment Bug 7330 - [Necko] nsIWebShellServices::StopLoadingDocument is not reentr safe
: [Necko] nsIWebShellServices::StopLoadingDocument is not reentr safe
Status: RESOLVED FIXED
Should be fixed by Necko landing
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: All Linux
: P3 normal (vote)
: M10
Assigned To: Frank Tang
: rpotts (gone)
: Nathan Froyd [:froydnj]
Mentors:
: 7208 (view as bug list)
Depends on:
Blocks: 7232 11094
  Show dependency treegraph
 
Reported: 1999-05-28 17:57 PDT by Frank Tang
Modified: 2002-11-07 00:56 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Frank Tang 1999-05-28 17:57:11 PDT
The StopLoadingDocuemnt of nsWebShell is not safe to be called from the
nsMetaCharsetObserver. It crash on Mac and Linux when the first block of data
contained the full META charset tag.

I temp fix this by comment out the call to StopLoadingDocument in the
intl/chardet/src/nsMetaCharsetObserber.cpp . if you uncomment out that two line
you can easily reproduce problem on Linux and Mac. Not easy to see the problem
on window.
Related bug 7239, 7241, 7242, 3921, 7240
Comment 1 Nisheeth Ranjan 1999-06-04 17:30:59 PDT
This bug is happening because on Mac and Unix, netlib callbacks can happen
before the load url call stack unwinds.  This will get fixed by the Necko
landing because all three platforms will start using the same threading
architecture.  Right now, on Mac and Unix, netlib and layout run on a single
thread while on Windows, they are on separate threads.

Rick, please correct me if I am goofing up here.  Thanks.

Setting target milestone to M8 and accepting bug.
Comment 2 Nisheeth Ranjan 1999-06-15 15:53:59 PDT
*** Bug 7208 has been marked as a duplicate of this bug. ***
Comment 3 Nisheeth Ranjan 1999-07-06 07:54:59 PDT
Moving out Necko related bugs to M9...
Comment 4 Nisheeth Ranjan 1999-07-20 19:14:59 PDT
Moving bugs blocked by Necko to M10...
Comment 5 Nisheeth Ranjan 1999-08-10 16:46:59 PDT
Now that Necko has landed, this bug should be fixed.  Frank, I'm assigning this
to you so that you can see what happens on Mac and Unix when you re-enable your
code.  Please pass it back to me if you run into problems.  Thanks.
Comment 6 Frank Tang 1999-08-25 17:32:59 PDT
check in the remove of the work around. Mark this fixed
Comment 7 Hixie (not reading bugmail) 2002-11-07 00:56:16 PST
Moving all threading bugs to XPCOM. See bug 160356.

Note You need to log in before you can comment on or make changes to this bug.